import 'plant_time.dart';

class Plant {
  final String name;
  final double waterRequirement;
  final double horizontalSpace;
  final double verticalSpace;
  final int id;

  String? image;
  String? supType;
  List<PlantTime> times = [];

  Plant({
    String? imagePath,
    List<PlantTime>? times,
    required this.name,
    required this.waterRequirement,
    required this.horizontalSpace,
    required this.verticalSpace,
    required this.id,
    required this.supType,
  }) {
    image = imagePath;
    if (times != null) {
      this.times.addAll(times);
    }
  }
}
